Dear Colleague,

We are pleased to submit our manuscript "Phylotrack: C++ and Python libraries for *in silico* phylogenetic tracking" for consideration as an Application Note in Bioinformatics.

Phylotrack is an efficient, flexible software library for tracking and analyzing phylogenies in computational agent-based evolutionary simulations.
It fills an important gap by offering a general-purpose solution for phylogeny tracking within end-users' own simulation code.
We believe Phylotrack will be of particular interest to readers of Bioinformatics because it will support their efforts to build 1) ground truth phylogenies reflecting complex evolutionary scenarios for the purpose of validating phylogeny reconstruction algorithms, and 2) null models supporting inferences about evolutionary regimes drawn from observed phylogenetic patterns.
Key features include:

- efficient C++ implementation with Python bindings;
- flexible configuration of operational taxonomic units,
- configurable memory-saving pruning of extinct lineages,
- *in situ* calculation of common phylogenetic topology statistics,
- saving and loading phylogeny records.

Our manuscript describes the implementation and functionality of Phylotrack, benchmarks its runtime performance, and discusses its applications and relationship to existing tools in the field.
We believe Phylotrack will be a valuable resource for researchers using *in silico* evolution to study evolutionary dynamics and generate synthetic data for bioinformatics research.

The software is freely available under an open source license at <https://github.com/emilydolson/phylotrackpy>, with source code, documentation, and precompiled packages provided.
It is also installable via PyPI.

With regard to the content of the manuscript, we have currently published a preprint via arXiv, <https://arxiv.org/abs/2405.09389>.
Manuscript contents, and the Phylotrack project, have not been otherwise published and are presently solely in submission here, with Bioinformatics.
Due to historical reasons, the C++ back-end for Phylotrack is hosted within the Git repository of the Empirical C++ software library.
Empirical was recently published in JOSS, in the following article <https://doi.org/10.21105/joss.06617>.
However, Phylotrack is noted as a separate scholarly effort and specifically excluded from the scope of that publication.
For further detail, discussion on this topic during the Empirical pre-review process may be viewed [here](https://github.com/openjournals/joss-reviews/issues/6151#issuecomment-1866887518).
A related pre-print (cited in our paper) describes the pruning algorithm that is implemented in Phylotrack on a purely theoretical level: <https://arxiv.org/abs/2403.00246>.

We appreciate your consideration of our manuscript and look forward to your response.

Sincerely,

Emily Dolson, Santiago Rodriguez-Papa, and Matthew Andres Moreno
